## org.apache.axis.components.script
Class BSF

    java.lang.Object
      |
      +--org.apache.axis.components.script.BSF

All Implemented Interfaces:
  Script

public class BSF
extends java.lang.Object
implements Script

Constructor Summary
`BSF()`

Method Summary
`java.lang.Object` `run(java.lang.String language, java.lang.String name, java.lang.String scriptStr, java.lang.String methodName, java.lang.Object[] argValues)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BSF

    public BSF()

Method Detail

### run

    public java.lang.Object run(java.lang.String language,
                                java.lang.String name,
                                java.lang.String scriptStr,
                                java.lang.String methodName,
                                java.lang.Object[] argValues)
                         throws java.lang.Exception

  Specified by:
    `run` in interface `Script`
    `java.lang.Exception`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.